> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete whitelisted IP

> Delete a specified whitelisted IP



## OpenAPI

````yaml /api-reference/jero_public_api.yaml delete /v2/whitelisted-ips/{id}
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/whitelisted-ips/{id}:
    delete:
      tags:
        - Whitelisted IPs
      summary: Delete whitelisted IP
      description: Delete a specified whitelisted IP
      operationId: delete-whitelisted-ip
      parameters:
        - name: id
          in: path
          description: >-
            Type in the ID of IP here - [Get Whitelisted
            IPs](https://help.decodo.com/reference#get-whitelisted-ips)
          schema:
            type: string
          required: true
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code":"bad_request"
                      "message":"Can not process request"
                    }
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````